### Type parameters

- #### T

### Hierarchy

- AsyncIterator
  - AsyncIterableIterator

## Index

### Methods

- next
- return
- throw

## Methods

### next

- next(value?: any): Promise<IteratorResult<T>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.asynciterable.d.ts:33

  #### Parameters

  - ##### Optional value: any

  #### Returns Promise<IteratorResult<T>>

### Optional return

- return(value?: any): Promise<IteratorResult<T>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.asynciterable.d.ts:34

  #### Parameters

  - ##### Optional value: any

  #### Returns Promise<IteratorResult<T>>

### Optional throw

- throw(e?: any): Promise<IteratorResult<T>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.asynciterable.d.ts:35

  #### Parameters

  - ##### Optional e: any

  #### Returns Promise<IteratorResult<T>>

Generated using TypeDoc